Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class FrequencyType

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.FrequencyType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class FrequencyType extends Object implements Serializable
frequency of applying the periodic posology, only in case of a constant scheme during a period of time

Java class for frequencyType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="frequencyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <sequence>
               <element name="nominator">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="quantity" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}timequantityType"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="denominator">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="quantity" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}timequantityType"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <sequence>
               <element name="decimal" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
               <element name="unit" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}unitType"/>
             </sequence>
             <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
             <element name="periodicity" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}periodicityType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FrequencyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getDecimal()`
  Gets the value of the decimal property.
  `Denominator`
  `getDenominator()`
  Gets the value of the denominator property.
  `Nominator`
  `getNominator()`
  Gets the value of the nominator property.
  `PeriodicityType`
  `getPeriodicity()`
  to specify the frequency using a coded periodicity
  `TextType`
  `getText()`
  Gets the value of the text property.
  `UnitType`
  `getUnit()`
  Gets the value of the unit property.
  `void`
  `setDecimal(BigDecimal value)`
  Sets the value of the decimal property.
  `void`
  `setDenominator(Denominator value)`
  Sets the value of the denominator property.
  `void`
  `setNominator(Nominator value)`
  Sets the value of the nominator property.
  `void`
  `setPeriodicity(PeriodicityType value)`
  Sets the value of the periodicity property.
  `void`
  `setText(TextType value)`
  Sets the value of the text property.
  `void`
  `setUnit(UnitType value)`
  Sets the value of the unit property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FrequencyType

    public FrequencyType()

- ## Method Details

  - ### getPeriodicity

    public PeriodicityType getPeriodicity()
    to specify the frequency using a coded periodicity
    Returns:
      possible object is `PeriodicityType`

  - ### setPeriodicity

    public void setPeriodicity(PeriodicityType value)
    Sets the value of the periodicity property.
    Parameters:
      `value` - allowed object is `PeriodicityType`
    See Also:
      - `getPeriodicity()`

  - ### getText

    public TextType getText()
    Gets the value of the text property.
    Returns:
      possible object is `TextType`

  - ### setText

    public void setText(TextType value)
    Sets the value of the text property.
    Parameters:
      `value` - allowed object is `TextType`

  - ### getDecimal

    public BigDecimal getDecimal()
    Gets the value of the decimal property.
    Returns:
      possible object is `BigDecimal`

  - ### setDecimal

    public void setDecimal(BigDecimal value)
    Sets the value of the decimal property.
    Parameters:
      `value` - allowed object is `BigDecimal`

  - ### getUnit

    public UnitType getUnit()
    Gets the value of the unit property.
    Returns:
      possible object is `UnitType`

  - ### setUnit

    public void setUnit(UnitType value)
    Sets the value of the unit property.
    Parameters:
      `value` - allowed object is `UnitType`

  - ### getNominator

    public Nominator getNominator()
    Gets the value of the nominator property.
    Returns:
      possible object is `Nominator`

  - ### setNominator

    public void setNominator(Nominator value)
    Sets the value of the nominator property.
    Parameters:
      `value` - allowed object is `Nominator`

  - ### getDenominator

    public Denominator getDenominator()
    Gets the value of the denominator property.
    Returns:
      possible object is `Denominator`

  - ### setDenominator

    public void setDenominator(Denominator value)
    Sets the value of the denominator property.
    Parameters:
      `value` - allowed object is `Denominator`